Problems generating (v2017.0.5)

This public forum is for user-to-user discussions of ASP.NET Maker. Note that this is not support forum.

Problems generating (v2017.0.5)

Postby AtlasFS » Thu Sep 07, 2017 10:37 am

Generating userfn.js...
Error: Failed to generate userfn.js
at generateFile (C:\Program Files (x86)\ASP.NET Maker 2017\node\node_modules\aspnetmaker\aspnetmaker.js:7:1501)
at Object.<anonymous> (C:\Users\polar\Documents\ASPNETMaker\Templates\aspxv20170\cache\vivians2017.js:161:1)
at Module._compile (module.js:570:32)
at Object.Module._extensions..js (module.js:579:10)
at Module.load (module.js:487:32)
at tryModuleLoad (module.js:446:12)
at Function.Module._load (module.js:438:3)
at Module.runMain (module.js:604:10)
at run (bootstrap_node.js:389:7)
at startup (bootstrap_node.js:149:9)
Compiling vivians2017.css...
Compiling bootstrap.css...
Compiling bootstrap-theme.css...
Compressing ewx.js...
Error: \ewx.js not found.
AtlasFS
 
Posts: 20
Joined: Thu Jan 16, 2014 11:26 pm

Re: Problems generating in asp.net maker 2017.0.5

Postby Webmaster » Thu Sep 07, 2017 11:03 am

1. Delete template cache and try again (Tools -> Delete Template Cache)
2. Check if you have any codes below which may cause generation error. If not sure, clear and try again:
- Client Scripts -> Global -> Global Codes
- Field -> Edit Tag -> Client side events
Webmaster
 
Posts: 10733
Joined: Fri Aug 06, 2004 5:59 pm

Re: Problems generating in asp.net maker 2017.0.5

Postby AtlasFS » Thu Sep 07, 2017 12:56 pm

Hi,

The first problem was fixed by your tip (delete cache).
Unfortunately, I now run into a different error, the ones I also received before.
I've set the output of the build.bat file in a text file, (btw I tried generating in core 1.X which immediately gave me the error message that I needed to use core 2.0
Furthermore, I tried 4.52, 4.6 and 4.7 .net but the errors are the same.

I've copied only the --info part and the first error from the restore (the rest are all the same, an error for each package.


C:\Users\polar\Documents\ASPNETMaker\WebSites\Vivians2017>dotnet --info
.NET Command Line Tools (2.0.0)

Product Information:
Version: 2.0.0
Commit SHA-1 hash: cdcd1928c9

Runtime Environment:
OS Name: Windows
OS Version: 10.0.15063
OS Platform: Windows
RID: win10-x64
Base Path: C:\Program Files\dotnet\sdk\2.0.0\


Microsoft .NET Core Shared Framework Host



Version : 2.0.0

Build : e8b8861ac7faf042c87a5c2f9f2d04c98b69f28d




C:\Users\polar\Documents\ASPNETMaker\WebSites\Vivians2017>dotnet restore
Restoring packages for C:\Users\polar\Documents\ASPNETMaker\WebSites\Vivians2017\vivians2017.csproj...
C:\Users\polar\Documents\ASPNETMaker\WebSites\Vivians2017\vivians2017.csproj : error NU1202: Package Microsoft.AspNetCore 2.0.0 is not compatible with net461 (.NETFramework,Version=v4.6.1). Package Microsoft.AspNetCore 2.0.0 supports: netstandard2.0 (.NETStandard,Version=v2.0)
AtlasFS
 
Posts: 20
Joined: Thu Jan 16, 2014 11:26 pm

Re: Problems generating in asp.net maker 2017.0.5

Postby Webmaster » Thu Sep 07, 2017 1:13 pm

Click Tools -> Advanced Settings, check:
1. Target framework, select "net461" or "net462" or "net47" according to the .NET Framework installed. Do not try to enter others, it won't work.
2. ASP.NET Core version, select "2.0.0".
Make sure you have installed VS2017 or installed NuGet v4.3.0, re-generate the *.csproj and try again.
Webmaster
 
Posts: 10733
Joined: Fri Aug 06, 2004 5:59 pm

Re: Problems generating (v2017.0.5)

Postby AtlasFS » Tue Sep 12, 2017 11:48 am

Hi,

I tried re-install VS2017.
Tried generating Net4.7
Still receiving the following error(s), just send the first, the rest is all the same but for each all different libraries

C:\Users\polar\Documents\ASPNETMaker\WebSites\Vivians2017>dotnet restore
Restoring packages for C:\Users\polar\Documents\ASPNETMaker\WebSites\Vivians2017\vivians2017.csproj...
C:\Users\polar\Documents\ASPNETMaker\WebSites\Vivians2017\vivians2017.csproj : error NU1202: Package Microsoft.AspNetCore 2.0.0 is not compatible with net47 (.NETFramework,Version=v4.7). Package Microsoft.AspNetCore 2.0.0 supports: netstandard2.0 (.NETStandard,Version=v2.0)
AtlasFS
 
Posts: 20
Joined: Thu Jan 16, 2014 11:26 pm

Re: Problems generating (v2017.0.5)

Postby Webmaster » Tue Sep 12, 2017 5:05 pm

1. Make sure your version of VS2017 is the latest version (do not use old version or previously downloaded installer, otherwise it does not support .NET Core 2.0):
https://www.visualstudio.com/thank-you- ... ity&rel=15
2. You can also try .NET Core SDK 1.0.4 (LTS). After installation, open command prompt and enter "dotnet --info" to check the version that your PC is using. Change your project to use ASP.NET Core version "1.1.0".
https://github.com/dotnet/core/blob/mas ... archive.md
3. Make sure you have also installed the .NET Framework 4.x.x AND the corresponding ***Developer Pack*** for your selected version of framework.
http://www.hkvstore.com/aspnetmaker/download.asp
Webmaster
 
Posts: 10733
Joined: Fri Aug 06, 2004 5:59 pm


Return to General Discussion (ASP.NET Maker)